com.pixelmed.dose

## Class CommonDoseObserverContext

- java.lang.Object
- - com.pixelmed.dose.CommonDoseObserverContext

    public class CommonDoseObserverContext
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CommonDoseObserverContext()`
`CommonDoseObserverContext(java.lang.String uid, java.lang.String name, java.lang.String manufacturer, java.lang.String modelName, java.lang.String serialNumber, java.lang.String location, java.lang.String operatorName, java.lang.String operatorID, java.lang.String physicianName, java.lang.String physicianID, java.lang.String idIssuer, java.lang.String organization)`

### Method Summary

Methods
`DeviceParticipant` `getDeviceParticipant()`
`PersonParticipant` `getPersonParticipantAdministering()`
`PersonParticipant` `getPersonParticipantAuthorizing()`
`RecordingDeviceObserverContext` `getRecordingDeviceObserverContext()`
`void` `setDeviceParticipant(DeviceParticipant deviceParticipant)`
`void` `setPersonParticipantAdministering(PersonParticipant personParticipantAdministering)`
`void` `setPersonParticipantAuthorizing(PersonParticipant personParticipantAuthorizing)`
`void` `setRecordingDeviceObserverContext(RecordingDeviceObserverContext recordingDeviceObserverContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonDoseObserverContext

    public CommonDoseObserverContext()

#### CommonDoseObserverContext

    public CommonDoseObserverContext(java.lang.String uid,
                             java.lang.String name,
                             java.lang.String manufacturer,
                             java.lang.String modelName,
                             java.lang.String serialNumber,
                             java.lang.String location,
                             java.lang.String operatorName,
                             java.lang.String operatorID,
                             java.lang.String physicianName,
                             java.lang.String physicianID,
                             java.lang.String idIssuer,
                             java.lang.String organization)

### Method Detail

#### getRecordingDeviceObserverContext

    public RecordingDeviceObserverContext getRecordingDeviceObserverContext()

#### setRecordingDeviceObserverContext

    public void setRecordingDeviceObserverContext(RecordingDeviceObserverContext recordingDeviceObserverContext)

#### getDeviceParticipant

    public DeviceParticipant getDeviceParticipant()

#### setDeviceParticipant

    public void setDeviceParticipant(DeviceParticipant deviceParticipant)

#### getPersonParticipantAdministering

    public PersonParticipant getPersonParticipantAdministering()

#### setPersonParticipantAdministering

    public void setPersonParticipantAdministering(PersonParticipant personParticipantAdministering)

#### getPersonParticipantAuthorizing

    public PersonParticipant getPersonParticipantAuthorizing()

#### setPersonParticipantAuthorizing

    public void setPersonParticipantAuthorizing(PersonParticipant personParticipantAuthorizing)